Name:		roadmap
Version:	1.2.1
Release:	%mkrel 6
Group:		Sciences/Geosciences
License:	GPLv2+
Summary:	GPS Tracker
URL:		http://roadmap.sourceforge.net/
Source0:	http://downloads.sourceforge.net/roadmap/%{name}-%{version}-src.tar.gz
Patch2:		roadmap-1.2.1-mdv-fix-paths.patch
Patch3:		roadmap-1.2.1-mga-use-gpsd3.patch
Requires:	gpsd
BuildRequires:	shapelib-devel 
BuildRequires:	expat-devel
BuildRequires:	gtk+2-devel
BuildRequires:	popt-devel
# To resolve /usr/bin/php file dep at build time
BuildRequires:	php-cli

%description 
A navigation system that displays US street maps (from the US Census Bureau)
and tracks a vehicle using GPS. Specific areas can be displayed by selecting
a street address (street number & name, city, and state).
RoadMap can run on iPAQ and Zaurus.


%prep
%setup -q -n %{name}-%{version}
%patch2 -p1 -b .paths
%patch3 -p1 -b .gpsd3

%build
export CFLAGS="%{optflags} -ffast-math -I%{_includedir}/libshp"
export LDFLAGS="%{ldflags}"

make -C src \
	DESKTOP=GTK2 \
	SHAPEFILES=yes

%install
%makeinstall_std -C src \
	DESKTOP=GTK2 \
	INSTALLDIR=%{_prefix} \
	desktopdir=%{buildroot}%{_datadir}/applications

install -m755 src/gtk2/gtkroadgps -D %{buildroot}%{_bindir}/roadgps
install -m755 src/gtk2/gtkroadmap -D %{buildroot}%{_bindir}/roadmap
install -m644 src/icons/roadmap-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 src/icons/roadmap-32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 src/icons/roadmap-48.png -D %{buildroot}%{_liconsdir}/%{name}.png

# not needed
rm -rf doc/Installation

%files
%doc README doc/*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/pixmaps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-6.mga3
+ Revision: 380373
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 wally <wally> 1.2.1-5.mga3
+ Revision: 273067
- build using our optflags and ldflags
- BR php-cli to resolve file dep at build time
- clean .spec a bit

* Sat Jul 21 2012 solbu <solbu> 1.2.1-4.mga3
+ Revision: 272994
- Import Mandriva package
- Spec cleanup
- Patch: use gpsd3 instead of gpsd2
- Fix License tag

